Page MenuHomePhabricator

Upgrade jenkins server and jenkins slaves to java 8
Closed, ResolvedPublic

Description

Per this https://jenkins.io/blog/2017/04/10/jenkins-has-upgraded-to-java-8/ jenkins now requires java 8.

Also ssh slaves requires java 8 now too. So any security updates to the plugin we won't get it as we doint have java 8. The plugin may refuse to work.

We could use this openjdk 8 ppa for trusty https://launchpad.net/~openjdk-r/+archive/ubuntu/ppa

Event Timeline

Paladox created this task.Apr 12 2017, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 6:53 PM

This may affect android cc @Niedzielski

@Paladox, thanks for the tip! AFAIK, all Android jobs have already been upgraded to OpenJDK 8.

Your welcome and :)

We could install https://launchpad.net/~openjdk-r/+archive/ubuntu/ppa on trusty as this will then unblock doing T144106 since 2.54 requires java 8.

This comment was removed by Paladox.
Paladox updated the task description. (Show Details)May 16 2017, 12:01 PM

Change 356243 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] jenkins: Install java 8 onto of java 7

https://gerrit.wikimedia.org/r/356243

Change 356243 merged by Dzahn:
[operations/puppet@production] jenkins: Install java 8 on stretch and greater

https://gerrit.wikimedia.org/r/356243

Change 361482 had a related patch set (by Paladox) published:
[integration/config@master] Migrate analytics tests from java 7 to java 8

https://gerrit.wikimedia.org/r/361482

Change 382217 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] jenkins: switch to Java8

https://gerrit.wikimedia.org/r/382217

hashar claimed this task.Oct 4 2017, 7:56 PM
hashar triaged this task as High priority.Oct 4 2017, 8:41 PM
hashar moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.

Mentioned in SAL (#wikimedia-operations) [2017-10-05T10:35:33Z] <hashar> contint2001: switched java to version 8 as well as all the jre/jdk utilities managed by alternatives - T162828

Change 382424 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Nodepool Jenkins agent to java 8

https://gerrit.wikimedia.org/r/382424

Change 382425 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: rely on jenkins::comon Jenkins agent jre

https://gerrit.wikimedia.org/r/382425

Change 382424 merged by jenkins-bot:
[integration/config@master] dib: switch Nodepool Jenkins agent to java 8

https://gerrit.wikimedia.org/r/382424

Mentioned in SAL (#wikimedia-releng) [2017-10-05T11:47:02Z] <hashar> Refreshing Nodepool Jessie snapshot to get java 8 by default - T162828

I have upgraded all slaves to use Java 8 (deployment-tin, integration project ones and the Nodepool images).

Both contint1001 and contint2001 default to java 8.

I have restarted the Jenkins master and it now runs on java 8.

What is left is the puppet patch https://gerrit.wikimedia.org/r/#/c/382217/

Mentioned in SAL (#wikimedia-operations) [2017-10-05T14:53:20Z] <hashar> All Jenkins infra is now on Java 8 - T162828

Change 382217 merged by Dzahn:
[operations/puppet@production] jenkins: switch to Java8

https://gerrit.wikimedia.org/r/382217

hashar closed this task as Resolved.Oct 5 2017, 8:48 PM
hashar added subscribers: Gehel, MoritzMuehlenhoff, Dzahn.

Solved! With help of @Paladox @Gehel @MoritzMuehlenhoff and @Dzahn ! That will let us upgrade Jenkins :]

Change 382425 merged by jenkins-bot:
[integration/config@master] dib: rely on jenkins::comon Jenkins agent jre

https://gerrit.wikimedia.org/r/382425